Introduction

The SCS900 version of the SonarMite software designed to run on a typical PC, TabletPC or Trimble TSC2+ system working in conjunction with the SonarMite echo sounder from Ohmex.


SonarMite with SCS900

The SCS900 version of the SonarMite is run as an application which sends its data to a running version of the SCS900 software via an Extension Module DLL driver.

To use the software the user first runs the SonarMite application software and connects to the SonarMite echo sounder with either a serial port or Bluetooth connection.

The user then runs the SCS900 application software with the correct Extension Module driver present in the same program directory (SMCE_????.DLL), with the SonarMite application running in the background.

From then on the driver will subtract the current depth value from the z value of the GPS or total station positioning system.


Installation

The correct version of the SCS900 driver should be in the working directory of the current SCS900 application software.

PC Version

The Window XP/Vista version of the software is installed along with documentation and this helpfile from a standard Windows ''Setup.exe'' installation program.

PDA Version

The PDA software cannot be installed automatically as there are many variations on the operating system and the ''persistent'' memory used. With the PDA the user will select the correct executable file based on a directory structure on the CD which indicates Operating System version and language required.

The SMce.exe program file will not run on a standard PC and will normally be copied once the Microsoft Activesync program has connected the PDA to the PC being used. Typical directory locations are ...

PocketPC/Mobile PC

  • Place SM?????.exe in the Mobile Device/Windows/Program Files directory

  • create a shortcut and place this in the Mobile Device/Windows/Start Menu directory


PC Platform

The SonarMite software has been designed to run on a wide range of Windows PC platforms,

The software provides the following features ...

  • Control, display and collection of SonarMite echo sounder data

  • Collection, display and filtering of GPS position data

  • Collection, display and filtering of Total Station position data

  • On-line tracking to predefined WayPoints

  • Transmission of SonarMite data to third party applications

PC software is compiled under specific platforms determined by the build of the operating system and the specific processor used ...

Windows XP

Windows Vista

Windows Tablet PC

Trimble SCS900 version

The SCS900 version of the PC software has been optimised to run on the Windows Tablet PC environment.

Inter-Application Communication

The SonarMite PC application uses the Windows TCP/IP Socket Messages to pass data between the SonarMite Application and the SCS900 extension module, this function is similar to the standard method used to pass data between email and Web servers.


Windows PC Socket Messages

The SonarMite application software uses UDP socket messages to send data between the SonarMite software and SCS900 via the extension module. These messages are broadcast over the TCP/IP connection to the local machine. In most cases they are received by a local version of the extension module but can in effect be used over a WiFi or wired network. The user needs to ensure the network TCP/IP properties and the Windows Firewall parameters have been setup correctly ...

Versions working with SCS900 2.0 to 2.4 use socket number 1500 default, versions working with SCS900 2.5 or greater use socket message 1600 ....

The socket messages assume that ....

  • The Computer is configured for TCP/IP connection

  • TCP/IP advanced settings are configured correctly

  • Windows Firewall has been configured correctly

TCP/IP Settings

Configure Network Properties for TCP/IP

Select TCP/IP Filtering

Either disable Filtering

Or ensure Port enabled for SonarMite application

Windows Firewall

Create SonarMite settings using ADD PORT ....

Enter a name and Port number for SonarMite application (1600 for v2.5 or greater) ....

Ensure the SonarMite setting is enabled ....


PDA Platform

The SonarMite software has been designed to run on a wide range of PDAs,

The software provides the following features ...

  • Control, display and collection of SonarMite echo sounder data

  • Collection, display and filtering of GPS position data

  • Collection, display and filtering of Total Station position data

  • On-line tracking to predefined WayPoints

  • Transmission of SonarMite data to third party applications

PDA software is compiled under specific platforms determined by the build of the operating system and the specific processor used ...

WinCE 4.1 (Hitachi)

WinCE 4.2.net (ARM)

PocketPC 2002 (ARM)

PocketPC 2003 (ARM)

PocketPC 2005 (ARM)

Mobile 5.0 (ARM)

Mobile 6.0 (ARM)

Trimble SCS900 version

The SCS900 version of the PDA software has been optimised to run on the Trimble TSC2 control unit running Windows Mobile 6.0.

Inter-Application Communication

The SonarMite application uses the Windows CE MessageQueue() functions to pass data between the SonarMite Application and the SCS900 extension module, this function is similar to the 'Named File Pipes' method of passing data between ''ends'' used in Windows and Unix.


Registration

The SonarMite and SonarXP software products are all 'soft 'registered, this does not disable the SonarMite use in any way but encourages the user to register the product before complete use, in particular the GPS data collection is disabled until the product is registered.

The first time the software is run the following 'nag 'screen will appear ...

Pressing the 'Help ' Icon shown below will reveal the Aboutbox

Contained in the Aboutbox will be the registration status and the SERIAL number, also refered to as the Software KEY number within the documentation.

Log on to the ohmex registration page at www.ohmex.com/register.htm

Complete the registration form using the instructions shown on the page (above) and enter the SERIAL number in the box provided, when complete press the REGISTER button, the screen will clear and the following message displayed.

Press the BACK button and the registration number will be displayed ...

Within the SonarMite software, display the Aboutbox and enter a copy of the registration number in the entry box proveded in the registration area.

Press the REGISTER button and then display the AboutBox again.

It should state the product is now 'registered'.


Screen Layout

The software displays data in 4 individual window ''Panes'' (3 Panes on a PDA display), these are separated by drag bars which can be dragged to stretch the particular pane to size. The data displayed in the pane will dynamically rescale to fit the new pane size. On the SCS900 version, only the depth screeen is shown ...

SONARMITE DEPTH PANE

The SonarMite panes shows a scrolling history of depth, the current value is drawn to the right hand side of the display and scrolled left. The display represents a time series of current and past depth values used to locate features. Resizing the display causes the data to be lost and redrawn. The speed of the display scrolling and hence the length of history and detail of the plot are controlled by double clicking the right and left of the display area,

MAIN ICONS

The main Icons apply to the currently active pane (selected by touching the pane). These icons appear in different locations on different versions of the software but are always present as they control many important functions such as event marking and entering registration details.


Menu Items

The following are shortcuts to menu items ...

File

  New   Open   Save   Save As   Exit

Device

  SonarMite

Options

  Debug   Test Data

Help

ToolBar

Zoom Out

Zoom In

Zoom Extents

Event

Aboutbox


Double Click Areas

The individual screen panes are sub-divided into 3x3 areas that are sensitive to double clicking either the mouse button or a stylus pen.

Position Tracking Pane

As shown below double clicking around the edge of the screen moves the image in the direction of the arrow shown, double clicking the center of the screen will show the Properties Dialog box for the drawing of the position ''snail trail''.

SonarMite Pane

Double clicking areas to the top and bottom of the pane will increase/decrease vertical scaling in the corner arrows or move the scale up/down on the central arrows. Double clicking the left or right arrows will increase or decrease the scrolling speed of the display. Double clicking the center of the pane will display the SonarMite properties dialog box

Text Windows

When the panes are sized small they revert to text only windows, double clicking text windows on the left, center or right of the pane will change the data displayed.


File Menu

New

The New menu option will clear any current settings and reset the software to its initial state.


Open

The Open menu option will reload a previously saved settings file ...


Save

The Save menu option will save all the current settings in a file that can be reloaded at a later date without having to reset values each time the software is run. The file when saved will have a .smt file extension which can be used to run the program indirectly by double clicking the datafile or creating a shortcut to the datafile from say the desktop environment.

Settings that are saved include ...

  • Current Device connections

  • Waypoint information including From/To settings

  • Current GPS parser settings

Settings that are NOT saved include ...

  • Current data history of Positions seen

  • Any Flag settings made on the SonarMite device

  • Screen layout settings

The file created by this option is used to save the program settings and is entirely different from the datafile created using the LogFile menu options !


Save As

The Save As menu option is similar to the Save option but enables the program settings to be saved in a new named file rather than the currently open file .


Exit

The Exit menu option will close all open files and devices then exit the program.

The user should be aware that using the [image] icon in environments such as PocketPC will not close the application but leave it in a suspended state in memory.


SonarMite

SonarMite Open

The SonarMite menu option allows the user to connect the software input to the SonarMite using a serial port device supplied by the operating system, this can be a direct port connection or an indirect connection using Bluetooth, IR or WiFi ...

When connected the menu option will be shown with a checkmark alongside, selecting the menu option while it is ''Checked'' will cause the connection to be closed.


SM Properties

SonarMite Properties

When the SonarMite is connected then double clicking the center of the SonarMite display pane will call the following dialog box ...

QA Setting

The Slider varies the acceptable Depth QA value from 80 (Slider in Normal position) to 120 (Slider in Highest position). The lower the number and QA then the more data will get through this filter. This filter is used to control data sent out on the socket message to prevent low quality data being transmitted. Setting the value too high can eliminate most of the data in bad water turbidity conditions.

Sound Velocity

The value used to calculate the depth measured by the echo sounder. The default value is 1500 m/sec used to calibrate the instrument, this value varies with water density (salinity and temperature) and should be changed with caution as these parameters can vary with location and depth.

Socket Number

If other than zero current depth data will be transmitted as a UDP network message on this socket number. The default socket number for SCS900 v2.1 and v2.3 is 1500, the default socket number for v2.5 is 1600. To disable UDP transmission set this value to zero.

Adjust for Position Latency

If set the extension module will calculate an adjustment based on timestamps of the depth and position data.


Debug

The Debug menu option enables the system to display the actual position or SonarMite data received in the text output screens, rather than the processed data which may have been filtered for QA values and parsing.

When enabled the Debug option will display a checkmark alongside the option.


Test Data

The Test Data menu option will feed simulated data into the system for demonstration and test purposes.

The Position window will receive 50 quasi GPS values drawn in a rectangulat spiral at about 5Km spacing.

The SonarMite display will draw a 0.5 to 4.5m Sine Wave at about 1 second intervals.


Zoom In

The Zoom In Icon applies to the active screen pane as below ...

Position Pane

The Zoom In Icon will zoom the drawn position data and waypoints to a larger scale

SonarMite Pane

The Zoom In Icon will zoom the display to minimum depth of 0 to 5m


Zoom Out

The Zoom Out Icon applies to the active screen pane as below ...

Position Pane

The Zoom Out Icon will zoom the drawn position data and waypoints to a smaller scale

SonarMite Pane

The Zoom In Icon will zoom the display to maximum depth of 0 to 50m


Zoom Extents

The Zoom Extents Icon applies to the active screen pane as below ...

Position Pane

The Zoom Extents Icon will zoom the drawn position data and waypoints to the limits of the data set on the following basis ...

  • No WayPoints - Limits of the Position history (Snail Trail).

  • WayPoints - Limits of the Way Points only

  • From/To Selected - Limits set by the From and To Points.

SonarMite Pane

The Zoom Extents Icon will zoom the display to minimum depth of 0 to 5m


Event Mark

When the Logging menu option is enabled then both the Event menu option and the Event Icon will also be enabled, pressing either the following dialog will appear ...

If selected the log file will contain an event mark at the current time and location, additionally if GPS is enabled the user has the option to include the event mark in with other waypoints, a useful feature if an item is marked in the field for return at a later date.

.


AboutBox

The Aboutbox gives information on Copyright, Version number, Status and Registration.


TimeAdjust

Depth Time (latency) adjustment

METHOD - The SCS900 extension dll is called by the main application and passed a position with a timestamp, the SonarMite extension dll adjusts the depth based on the depth timestamps to suit the timing of the position, this calculated depth is then subtracted from the current position Z value (or height) and returned to the main SCS900 application.

Adjustment of Depth to suit position timing

The above figure illustrates the linear interpolation of a depth based on the timestamp of the current depth, previous depth and the current position values. The latency correction algorythm times the depth reading using the same internal computer clock tick counts as the position reading timestamp.

Estimation of delay from Ping to Timestamp

As the extension dll receives its data via serial transmission and timestamps it on reception of the LineFeed character the above figure illustrates the calculation of the delay from the depth 'start ping' time and subtracts it from the applied depth timestamp.

The SCS900 Latency Adjustment can be enabled/disabled from within the SonarMite Properties Dialog Box ...

The SCS900 extension module returns the depth corrected Z value to SCS900 application (time adjusted if enabled), it also stores the following values in the extension data fields ...

  • CustomDataField 1 = Depth subtracted from current Z value

  • CustomDataField 2 = Current Depth QA value

  • CustomDataField 3 = Time shift between Position and Depth timestamps in milliseconds.

These values can be used to reconstitute the original data if required and also estimate the applied time shift and depth QA value.


GPS Properties

Position Drawing Properties

Double clicking the center of the Position Tracking pane will recall the following dialog box ...

Point Size

Sets the pixel size of the circle drawn for each point.

Join Points Checkbox

If selected the individual sequential points will be joined with a line.

Buffer Size

Size of buffer in number of points held, this controls the number of points shown on screen as a ''snail trail'' of previous positions. When the buffer size is reached the older points are deleted from the end of the buffer.

Grid Scale

Sets the grid size to various constant values from 1m upto 10km.

Grid Layout

Selects one of the grid formats from None, Rectangular Grid and Radial Grid.


LogFile Name

The Log file is the name of a file in which the collected position and sonarmite data will be saved. The file created will have a .son file extension and is in a binary format that can only be imported into the SonarXP software package.

The actual data logging is toggled on and off by the Logging menu option.


Logging

The Logging menu option will toggle on/off the logging of data to the file selected with the LogFileName menu option. The option will be disabled (1) until a valid LogFileName has been selected (2).

When the system is logging data a checkmark (3) will appear alongside the Logging menu option.

Also when Logging the 'Event' icon in the main display will be enabled ...